Bug 37023 - linking problem when compiling cvs version off avifile from avifile,sourceforge.net
linking problem when compiling cvs version off avifile from avifile,sourcefor...
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-04-21 16:45 EDT by Knut J BJuland
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-25 13:12:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
compiler output when comiling avifile-0.6 (279.54 KB, text/plain)
2001-04-25 12:33 EDT, Knut J BJuland
no flags Details

  None (edit)
Description Knut J BJuland 2001-04-21 16:45:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2 i686)

gcc link plugins in aviplay incorretly, it working in gcc-2.96-80

Reproducible: Always
Steps to Reproduce:
1..cvs -d:pserver:anonymous@cvs.sourceforge.net./cvsroot/avifile co
2. cd avifile-0.6,./configure make, make install
3. aviplay

Actual Results:  
it worked with gcc-2.96-80 from rawhide
ibwin32.so.0: found 23 plugins
libmpeg_audiodec.so.0: found 1 plugin
libmp3lame_audioenc.so.0: found 1 plugin
libaudiodec.so.0: found 4 plugins
Available CPU flags: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr
pge mca cmov pat pse36 mmx fxsr sse
797.427 MHz Pentium III (Coppermine) processor detected
Stream 0: 73646976:34766964, 8117 chunks
Cache: Adding stream 0, 8117 chunks
Stream 1: 73647561:0, 324 chunks
Cache: Adding stream 1, 324 chunks
Cache:   Creating cache for file descriptor: 8
Successfully initialized stream 0
Chunk table size 8117, format size 40
Successfully initialized stream 1
Chunk table size 3887537, format size 30
Successfully opened /c/astro.avi. 1 video streams, 1 audio streams
Length 8117
File /c/astro.avi successfully opened
2 streams
Audio in MPEG Layer-1/2 format
src [wFormatTag=85, nChannels=2, nSamplesPerSec=48000,
nAvgBytesPerSec=12000, nBlockAlign=1, wBitsPerSample=16, cbSize=12]
dst [wFormatTag=1, nChannels=2, nSamplesPerSec=48000,
nAvgBytesPerSec=192000, nBlockAlign=4, wBitsPerSample=16, cbSize=0]
File /c/astro.sub not found
File /c/astro.SUB not found
Initializing registry
Decoder is capable of YUV output ( flags 0x1f )
Video Depth 32
Loading subtitle font: "6x13"
Creating YUV overlay for width 720, height 480, fourcc 0x32595559
Player started
aviplay: error while loading shared libraries:
/usr/lib/avifile/libmpeg_audiodec.so.0: undefined symbol:

Expected Results:  aviplay plays with sound

I have placed win32dlls in /usr/lib/win32/ . using divx files from my own
Comment 1 Jakub Jelinek 2001-04-25 11:08:02 EDT
Can you attach here preprocessed filter.ii (use -save-temps) plus g++
options used?
Comment 2 Knut J BJuland 2001-04-25 12:33:24 EDT
Created attachment 16407 [details]
compiler output when comiling avifile-0.6
Comment 3 Jakub Jelinek 2001-04-25 13:12:33 EDT
That seems different to the first report, plus it looks like a bug in
avifile, not gcc.
Comment 4 Knut J BJuland 2001-04-25 13:46:02 EDT
I used gcc 2.9.6-80 to compile, an I think it'll be fixed in avifile-0.6 when ii
is released.

Note You need to log in before you can comment on or make changes to this bug.